diff --git a/src/bin/pg_dump/pg_dump_sort.c b/src/bin/pg_dump/pg_dump_sort.c
index 08005c530f..e17d05d88b 100644
--- a/src/bin/pg_dump/pg_dump_sort.c
+++ b/src/bin/pg_dump/pg_dump_sort.c
@@ -876,6 +876,18 @@ repairDependencyLoop(DumpableObject **loop,
 	int			i,
 				j;
 
+	fprintf(stderr, "repairing loop: %d (", nLoop);
+	for (i = 0; i < nLoop; i++)
+	{
+		fprintf(stderr, "%s [type %d]", loop[i]->name, loop[i]->objType);
+		if (loop[i]->objType == DO_RULE)
+			fprintf(stderr, " (on %s)", ((DumpableObject *)
+					(((RuleInfo *) loop[i])->ruletable))->name);
+		if (i < nLoop -1)
+			fprintf(stderr, ", ");
+	}
+	fprintf(stderr, ")\n");
+
 	/* Datatype and one of its I/O or canonicalize functions */
 	if (nLoop == 2 &&
 		loop[0]->objType == DO_TYPE &&
